<?php

namespace InSegment\WorkersFramework\Drivers\RabbitMq;

use Shavshukov\EventAppBase\Model\ArrayModel;

class ConnectionOptions extends ArrayModel
{
    const CLIENT_OPTIONS = ['host', 'vhost', 'user', 'password', 'heartbeat', 'port'];
    
    /**
     * Mandatory fields
     *
     * @var array|null
     */
    protected $mandatoryFields = ['host', 'vhost', 'user', 'password'];
    
    /**
     * Get options for Bunny client
     * 
     * @return array
     */
    public function getClientOptions(): array
    {
        return array_intersect_key($this->data, array_flip(self::CLIENT_OPTIONS));
    }
    
}
